<div>
  <p>
    Directives in Angular is a js class, which is declared as @directive. We have 3 directives in Angular. The
    directives are listed below −
  </p>
  <p>
    Component Directives
    These form the main class having details of how the component should be processed, instantiated and used at runtime.
  </p>
  <p>
    Structural Directives
    A structure directive basically deals with manipulating the dom elements. Structural directives have a * sign before
    the directive. For example, *ngIf and *ngFor.
  </p>
  <p>
    Attribute Directives
    Attribute directives deal with changing the look and behavior of the dom element. You can create your own directives
    as shown below
  </p>
</div>
<p>EXAMPLE DIRECTIVES</p>
<p changeTextColor>
  I am colored with color change directive
</p>

<p changeText>
</p>
